package com.zd.exam.service.impl;

import java.util.List;
import com.zd.common.core.utils.DateUtils;
import com.zd.common.core.utils.SecurityUtils;
import com.zd.common.security.utils.SaveUtil;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zd.exam.mapper.ElPassConfigdetailMapper;
import com.zd.exam.domain.ElPassConfigdetail;
import com.zd.exam.service.IElPassConfigdetailService;

/**
 * 信用合格分设置配置详情Service业务层处理
 *
 * @author zd
 * @date 2021-12-15
 */
@Service
public class ElPassConfigdetailServiceImpl implements IElPassConfigdetailService
{
    @Autowired
    private ElPassConfigdetailMapper elPassConfigdetailMapper;

    /**
     * 查询信用合格分设置配置详情
     *
     * @param id 信用合格分设置配置详情主键
     * @return 信用合格分设置配置详情
     */
    @Override
    public ElPassConfigdetail selectElPassConfigdetailById(Long id)
    {
        return elPassConfigdetailMapper.selectElPassConfigdetailById(id);
    }

    /**
     * 查询信用合格分设置配置详情列表
     *
     * @param elPassConfigdetail 信用合格分设置配置详情
     * @return 信用合格分设置配置详情
     */
    @Override
    public List<ElPassConfigdetail> selectElPassConfigdetailList(ElPassConfigdetail elPassConfigdetail)
    {
        return elPassConfigdetailMapper.selectElPassConfigdetailList(elPassConfigdetail);
    }

    /**
     * 新增信用合格分设置配置详情
     *
     * @param elPassConfigdetail 信用合格分设置配置详情
     * @return 结果
     */
    @Override
    public int insertElPassConfigdetail(ElPassConfigdetail elPassConfigdetail)
    {
        //设置其他公共字段
        SaveUtil.setCommonAttr(elPassConfigdetail);
        return elPassConfigdetailMapper.insertElPassConfigdetail(elPassConfigdetail);
    }

    /**
     * 修改信用合格分设置配置详情
     *
     * @param elPassConfigdetail 信用合格分设置配置详情
     * @return 结果
     */
    @Override
    public int updateElPassConfigdetail(ElPassConfigdetail elPassConfigdetail)
    {
        elPassConfigdetail.setUpdateTime(DateUtils.getNowDate());
        elPassConfigdetail.setUpdateBy(SecurityUtils.getUsername());
        return elPassConfigdetailMapper.updateElPassConfigdetail(elPassConfigdetail);
    }

    /**
     * 批量删除信用合格分设置配置详情
     *
     * @param ids 需要删除的信用合格分设置配置详情主键
     * @return 结果
     */
    @Override
    public int deleteElPassConfigdetailByIds(Long[] ids)
    {
        return elPassConfigdetailMapper.deleteElPassConfigdetailByIds(ids);
    }

    /**
     * 删除信用合格分设置配置详情信息
     *
     * @param id 信用合格分设置配置详情主键
     * @return 结果
     */
    @Override
    public int deleteElPassConfigdetailById(Long id)
    {
        return elPassConfigdetailMapper.deleteElPassConfigdetailById(id);
    }
}
